### Method

# EBackend CollectionBackend get_cache_dir

since: 3.6

#### Declaration [src]

    const gchar*
    e_collection_backend_get_cache_dir (
      ECollectionBackend* backend
    )

#### Description [src]

Returns the private cache directory path for `backend`, which is named after the `ESource:uid` of `backend`‘s collection `EBackend:source`.

The cache directory is meant to store key files for backend-created data sources. See also: e_server_side_source_set_write_directory().

Available since: 3.6

#### Return value

Type: `const gchar*`

The cache directory for `backend`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.